В ядре Linux исправлена серьезная уязвимость

НОВОСТИ
2017-10-03 10:45:57
0
1.7K

linux ruonion

Опасная уязвимость устранена в ядре Linux, которая превышала привилегии. "Дыра" была обнаружена более двух лет назад сотрудником Google Майклом Дэвидсоном (Michael Davidson) в апреле 2015 года и устранена в релизе ядра Linux 4.0. Разработчики Linux портировали патч на устаревшие ветки 3.x с выпуском ядра Linux 3.10.77, но из-за того, что на то время уязвимость не рассматривали как серьезную угрозу для безопасности, исправление не было перенесено в LTS (Long Term Support, поддержка в течение длительного периода)-ядра и пакеты с ядром некоторых дистрибутивов.

Как считают эксперты Qualys Research Labs, данная уязвимость касается всех версий CentOS 7 до 1708, все версии Red Hat Enterprise Linux 7 до 7.4, и все версии CentOS 6 и Red Hat Enterprise Linux 6.

Уязвимость получила идентификатор CVE-2017-1000253 и оценена в 7,8 балла по шкале CVSSv3. Данная проблема содержится в реализации метода загрузки исполняемых файлов ELF и реализует возможность получить права суперпользователя на системе. Точнее об уязвимости - исполняемый файл приложения, скомпилированного в режиме PIE (Position Independent Executable), может быть загружен так, что часть информации из сегмента данных отразится на области памяти, которая выделена под стек и в результате вызывает повреждение памяти. Злоумышленник может использовать данную проблему и путем манипуляций с исполняемыми в системе файлами с флагом SUID, собранными в режиме PIE, повысить свои привилегии.

Эксперты Qualys представили PoC-эксплоит, работающий на CentOS-7 с версиями ядра 3.10.0-514.21.2.el7.x86_64 и 3.10.0-514.26.1.el7.x86_64.

Для дистрибутивов Red Hat , Debian и CentOS доступны обновления, которые устраняют эту проблему в LTS-релизах с версиями ядра 3.х, для всех кто в танке уточняю, наш любимый анонимный дистрибутив Tails использует ядро Debian, ждём обновления.

0
1.7K
Написать комментарий

Добавить комментарий